gd_hide(3)

NAME
gd_hide, gd_unhide — hide or unhide a Dirfile database entry

SYNOPSIS
#include <getdata.h>

int gd_hide(const DIRFILE *dirfile, const char *entry_name);

int gd_unhide(const DIRFILE *dirfile, const char *entry_name);

DESCRIPTION
The function hides the field or alias called in the dirfile(5) database specified by and indicates whether the field or alias called is hidden or not. Similarly, the function unhides the specified entry. An entry can also be hidden or unhidden using

By default, a hidden entry does not appear in the lists returned by the functions or including the special-case versions of such as These omissions are also reflected in the counts returned by the corresponding field counting function and it's special-case versions (gd_nfields(3), &c.).

RETURN VALUE
Upon successful completion, and return zero. On error, they return a negative-valued error code. Possible error codes are: The specified dirfile was opened read-only. The field specified by was not found in the database. The supplied dirfile was invalid. The metadata of the affected format specification fragments was protected from change.

The error code is also stored in the DIRFILE object and may be retrieved after this function returns by calling A descriptive error string for the error may be obtained by calling

HISTORY
The and functions appeared in GetData-0.8.0.

In GetData-0.10.0, the error return from these functions changed from -1 to a negative-valued error code.

SEE ALSO
dirfile(5)